	SUBROUTINE VERIFYUPD(cmd_type, record_found, answer)
	IMPLICIT INTEGER(A-Z)
	INTEGER*4 iocde, str$upcase
	CHARACTER cmd_type*4, ans
	LOGICAL record_found, answer
	EXTERNAL netmail_abortupd
C
	answer = .false.
C
C	Ask if okay to update.
C
	CALL LIB$PUT_OUTPUT(' ')
	if (cmd_type.eq.'SET') then
	 if (record_found) CALL LIB$GET_INPUT(ans,' Ok to change? ')
	 if (.not.record_found) CALL LIB$GET_INPUT(ans,' Ok to add? ')
	Else
	 if (record_found) CALL LIB$GET_INPUT(ans,' Ok to delete? ')
	Endif !Check for delete of record.
	icode = str$upcase(ans,ans)
	if(ans.eq.'Y') answer = .true.
C
C	If it is not okay, close file and error out.
C
	If (.not.answer) then
	close(unit=1)
	CALL LIB$SIGNAL(netmail_abortupd)
	Endif !Wanted to abort.
C
	return
	end
